set terminal pngcairo
set output 'median_minimalt_puzzle.png'

set ylabel "cpu cycles"
set xlabel "bit size"

set datafile separator ";"
set logscale y 2
set style data linespoints

set bmargin at screen 0.18
#set tmargin at screen 0.82

label1 = "{/:Bold Version:} "."`cat VERSION`"." {/:Bold minimaLT iterations:} "."`cat ITERATIONS_MINIMALT`"
set label 10 at screen 0.001,0.02 label1 front left


plot 'median_minimalt_puzzle.csv' using 1:2:xtic(1) title "minimaLT generate", \
	'median_minimalt_puzzle.csv' using 1:3:xtic(1) title "minimaLT solve", \
	'median_minimalt_puzzle.csv' using 1:4:xtic(1) title "minimaLT verify", \
	'median_minimalt_puzzle.csv' using 1:5:xtic(1) title "minimaLT invlid verify", \
    'median_minimalt_puzzle.csv' using 1:($2+$4):xtic(1) title "minimaLT total cost for server: valid" axes x1y1, \
    'median_minimalt_puzzle.csv' using 1:($2+$5):xtic(1) title "minimaLT total cost for server: invalid" axes x1y1
