set terminal pngcairo
set output 'median_msr_jerschow_mauve.png'

set ylabel "cpu cycles"
set xlabel "bit size"

set datafile separator ";"
set logscale y 2
set style data linespoints

set bmargin at screen 0.18
#set tmargin at screen 0.82

label1 = "{/:Bold Version:} "."`cat VERSION`"." {/:Bold MSR Iterations:} "."`cat ITERATIONS_MSR`"
set label 10 at screen 0.001,0.02 label1 front left

plot 'median_msr_jerschow_mauve.csv' using (log($1)):2:xtic(1) title "MSR Jerschow Mauve solve", \
	'median_msr_jerschow_mauve.csv' using (log($1)):3:xtic(1) title "MSR Jerschow Mauve verify", \
    'median_msr_jerschow_mauve.csv' using (log($1)):4:xtic(1) title "MSRR Jerschow Mauve verify invalid"
