set terminal pngcairo


set ylabel "CPU cycles"
set xlabel "Difficulty in cleared bits"

set datafile separator ";"
set logscale y 2
set style data points

set key off

set bmargin at screen 0.18
#set tmargin at screen 0.82

label1 = "{/:Bold Version:} "."`cat VERSION`"." {/:Bold minimaLT iterations:} "."`cat ITERATIONS_MINIMALT`"
set label 10 at screen 0.001,0.02 label1 front left



set title "Raw data for minimaLT generate"
set output 'raw_generate_minimalt_puzzle.png'
plot 'raw_minimalt_puzzle.csv' using 1:2:xtic(1)

set title "Raw data for minimaLT verify"
set output 'raw_verify_minimalt_puzzle.png'
plot'raw_minimalt_puzzle.csv' using 1:4:xtic(1)

set title "Raw data for minimaLT verify invalid"
set output 'raw_verify_invalid_minimalt_puzzle.png'
plot'raw_minimalt_puzzle.csv' using 1:5:xtic(1)

set title "Raw data for minimaLT solve"
set output 'raw_solve_minimalt_puzzle.png'
plot'raw_minimalt_puzzle.csv' using 1:3:xtic(1)

set xlabel "Size of the Prime used in bits"
set logscale x 2


label1 = "{/:Bold Version:} "."`cat VERSION`"." {/:Bold MSR Iterations:} "."`cat ITERATIONS_MSR`"
set label 10 at screen 0.001,0.02 label1 front left

set title "Raw data for MSR Jerschow Mauve solve"
set output 'raw_solve_msr_jerschow_mauve.png'
plot 'raw_msr_jerschow_mauve.csv' using ($1):2:x2tic(1) with point lc rgb "#0099ff" 

set title "Raw data MSR Jerschow Mauve verify"
set output 'raw_verify_msr_jerschow_mauve.png'
plot 'raw_msr_jerschow_mauve.csv' using ($1):3:x2tic(1) with point lc rgb "#0099ff" 

set title "Raw data MSR Jerschow Mauve verify invalid"
set output 'raw_verify_invalid_msr_jerschow_mauve.png'
plot 'raw_msr_jerschow_mauve.csv' using ($1):4:x2tic(1) with point lc rgb "#0099ff" 
