set terminal pngcairo size 1200,600
set output 'verification_comparison.png'

set title "Datapoints accumulated as median"

set ylabel "CPU cycles"
set x2label "Size of the Prime used in bits"
set xlabel "Difficulty in cleared bits"

set key inside left Left

set xtics nomirror
set x2tics
set tics out
set autoscale  x
set autoscale x2

set datafile separator ";"
set logscale y 2
set logscale x2 2
set style data linespoints

set bmargin at screen 0.18
set tmargin at screen 0.82

label1 = "{/:Bold Version:} "."`cat VERSION`"." {/:Bold DH Iterations:} "."`cat ITERATIONS_DH`"." {/:Bold MSR Iterations:} "."`cat ITERATIONS_MSR`"." {/:Bold minimaLT iterations:} "."`cat ITERATIONS_MINIMALT`"
set label 10 at screen 0.001,0.02 label1 front left


plot 'median_msr_jerschow_mauve.csv' using 1:3:x2tic(1) title "MSR Jerschow Mauve verify" axes x2y1, \
	'median_msr_jerschow_mauve.csv' using 1:4:x2tic(1) title "MSR Jerschow Mauve verify_invalid" axes x2y1, \
	'median_minimalt_puzzle.csv' using 1:4:xtic(1) title "minimaLT verify" axes x1y1, \
	'median_minimalt_puzzle.csv' using 1:5:xtic(1) title "minimaLT verify invalid" axes x1y1, \
	 `cat median_dh.csv` title "X25519 Diffie-Hellman"
