#ifndef CPUCYCLES_H
#define CPUCYCLES_H

typedef struct {
	uint64_t *array;
	int size;
} cc_set;

cc_set *cc_set_init(int iterations);
void cc_set_free(cc_set *p);

static int compare_uint64(const void *a, const void *b);
uint64_t median(cc_set *cycles);
uint64_t min(cc_set *cycles);
uint64_t max(cc_set *cycles);


#ifdef USE_PERF
	void perf_init();
	void perf_fin();
#endif


uint64_t cpucycles();
#endif
