#include <stdio.h>
#include <stdlib.h>
#include <gmp.h>

void findPrime(mpz_t prime, int min_bits) {
	mpz_t i, base;
	
	mpz_init_set_ui(i, 1);
	mpz_init(base);
	mpz_ui_pow_ui(base, 2, min_bits-1);

	do {
		mpz_mul(prime, base, i);
		mpz_add_ui(prime, prime, 1);
		mpz_add_ui(i, i, 2);

	} while (mpz_probab_prime_p(prime, 50) == 0);

	mpz_clear(i);
	mpz_clear(base);
}


int main() {
	int i;
	int bits[] = {128, 256, 512, 1024, 2048, 4096, 8128};
	mpz_t prime;

	mpz_init(prime);

	FILE *f = fopen("primes.gmp","rw");

	for(i = 0; i < 7; i++) {
		findPrime(prime, bits[i]);
		mpz_out_raw(f, prime);
	}

	mpz_clear(prime);
}
